/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
/**
 * @file  datetime.h
 * @brief ALP Date & Time API
 *
 *****************************************************************************/
#ifndef __ALP_DATETIME_H__
#define __ALP_DATETIME_H__

#define ALP_APP_ID_PREFS_DATETIME          "bar:com.access.prefpanel.datetime"

#define ALP_NOTIFY_EVENT_DATETIME_CHANGE          "/alp/datetime/change"
/* no detailed data in notification */

#define ALP_NOTIFY_EVENT_DATETIME_CHANGE_TIME     "/alp/datetime/change/time"
/* no detailed data in notification */

#define ALP_NOTIFY_EVENT_DATETIME_CHANGE_DATE     "/alp/datetime/change/date"
/* no detailed data in notification */

#define ALP_NOTIFY_EVENT_DATETIME_CHANGE_ZONE     "/alp/datetime/change/zone"
/* no detailed data in notification */

#endif /* __ALP_DATETIME_H__ */
