/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
/*!
 * @file notifymgr_pdk.h
 * @brief  notification manager pdk header file 
 ******************************************************************************/

#ifndef NOTIFY_MGR_PDK_H
#define NOTIFY_MGR_PDK_H

/*! 
@addtogroup ALP_NOTIFY Notification Manager
@ingroup ALP_SYSTEM
@{
*/

//! register priority: highest priority notification
#define ALP_NOTIFY_PRIORITY_HIGHEST	110

//! register priority: lowest priority notification
#define ALP_NOTIFY_PRIORITY_LOWEST	-110

//! broadcast flags: override any limits
#define ALP_NOTIFY_BROADCAST_FORCE	0x100

//! register flags: override any limits
#define ALP_NOTIFY_REGISTER_FORCE	0x100

/* @} */

#endif
