/********************************************************************

Copyright  2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
/**
 * @file attn_ipc_prv.h
 *
 * @brief ALP attention manager private API & definitions
 *
 *****************************************************************************/

#ifndef __ALP_ATTN_IPC_PRV_H__
#define __ALP_ATTN_IPC_PRV_H__

#define ALP_ATTN_IPC_SERVER_CHANNEL "alp-alert"

#define ALP_ATTN_IPC_RESPONSE_TIMEOUT   7000
#define ALP_ATTN_IPC_MAX_PROPERTIES     1000

extern const char *alp_prv_attn_ipc_channel;

AlpConnection *alp_prv_attn_ipc_connection;

#endif /* __ALP_ATTN_IPC_PRV_H__ */
