/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/

#define MSG_PACKAGE_OPEN 1
#define MSG_PACKAGE_OPEN_RESPONSE 2
#define MSG_PACKAGE_CLOSE 3
#define MSG_PACKAGE_CLOSE_RESPONSE 4
#define MSG_PACKAGE_INCREF 5
#define MSG_PACKAGE_INCREF_RESPONSE 6
#define MSG_PACKAGE_DECREF 7
#define MSG_PACKAGE_DECREF_RESPONSE 8
#define MSG_PACKAGE_RW_PATHNAME 9
#define MSG_PACKAGE_RW_PATHNAME_RESPONSE 10
#define MSG_PACKAGE_REGISTER 11
#define MSG_PACKAGE_REGISTER_RESPONSE 12
#define MSG_PACKAGE_DELETE 13
#define MSG_PACKAGE_DELETE_RESPONSE 14
#define MSG_PACKAGE_UNREGISTER 15
#define MSG_PACKAGE_UNREGISTER_RESPONSE 16
#define MSG_PACKAGE_ADD_STORE 17
#define MSG_PACKAGE_ADD_STORE_RESPONSE 18
#define MSG_PACKAGE_DELETE_STORE 19
#define MSG_PACKAGE_DELETE_STORE_RESPONSE 20
#define MSG_PACKAGE_MOVE_TO_STORE 21
#define MSG_PACKAGE_MOVE_TO_STORE_RESPONSE 22
#define MSG_PACKAGE_COPY_TO_STORE 23
#define MSG_PACKAGE_COPY_TO_STORE_RESPONSE 24
#define MSG_PACKAGE_WIPE 25
#define MSG_PACKAGE_WIPE_RESPONSE 26
#define MSG_PACKAGE_RW_DELETE 27
#define MSG_PACKAGE_RW_DELETE_RESPONSE 28
#define MSG_PACKAGE_SCAN_STORE 29
#define MSG_PACKAGE_SCAN_STORE_RESPONSE 30
#define MSG_PRV_BUNDLE_IMAGE_INSTALL_TMPNAME 31
#define MSG_PRV_BUNDLE_IMAGE_INSTALL_TMPNAME_RESPONSE 32
#define MSG_PRV_BUNDLE_HOLD_NOTIFICATIONS 33
#define MSG_PRV_BUNDLE_HOLD_NOTIFICATIONS_RESPONSE 34

extern void handle_client_alp_bundle_open(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_bundle_close(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_bundle_incref(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_bundle_decref(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_bundle_rw_pathname(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_bundle_register_bundle(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_bundle_delete(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_bundle_unregister_bundle(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_bundle_add_store(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_bundle_delete_store(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_bundle_move_to_store(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_bundle_copy_to_store(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_package_wipe(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_bundle_rw_delete(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_bundle_scan_store(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_bundle_image_install_tmpname(AlpConnection * connection, AlpMessage * message, gpointer cbData);
extern void handle_client_alp_prv_bundle_hold_notifications(AlpConnection * connection, AlpMessage * message, gpointer cbData);


