/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
// Includes ------------------------------------------------------------------
#include <hiker/unit_test.h>
#include <cppunit/extensions/HelperMacros.h>

#include <hiker/sysclass.h>
#include <hiker/types.h>
#include <hiker/bundlemgr.h>
#include <hiker/prv/bundlemgr_prv.h>
#include <sys/types.h>
#include <sys/wait.h>

       #include <sys/types.h>
       #include <sys/socket.h>


void lateFunction(void); // not called

// Typedefs ------------------------------------------------------------------
class BundleMgrTestTests : public CPPUNIT_NS::TestFixture
{
	CPPUNIT_TEST_SUITE(BundleMgrTestTests);
	CPPUNIT_TEST(one);
	CPPUNIT_TEST_SUITE_END();

	public:
		void setUp();
		void tearDown();
		void one();

	public:

	  CPPUNIT_NS::BundleLoader * bundles;
		
};

ALP_ROOT_TEST_SUITE_REGISTRATION( "AP-002", CPPUNIT_REGISTRY_TYPE_AUTO );
CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( BundleMgrTestTests, "AP-002" );

void BundleMgrTestTests::setUp()
{
  bundles = new CPPUNIT_NS::BundleLoader("bar:com.access.apps.attn_tool", NULL);
}

void BundleMgrTestTests::tearDown()
{
  delete bundles;
}

void BundleMgrTestTests::one()
{
}


