/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
#ifndef __ALP_IPC_SAMPLE_H_
#define __ALP_IPC_SAMPLE_H_

// common definitions used by the sample client and server

static char SAMPLE_CHANNEL_NAME[] = "IPC_SAMPLE";

typedef enum {
	SAMPLE_MESSAGE_HELLO = 100,
	SAMPLE_MESSAGE_LONG_FORMAT_STRING,
	SAMPLE_MESSAGE_LONG_MESSAGE,
	SAMPLE_MESSAGE_PACK_EACH_TYPE,
	SAMPLE_MESSAGE_GOODBYE,
	SAMPLE_MESSAGE_HELLO_WITH_RESPONSE,
} SampleMessageID;

static gint  NUM_GOODBYE_MESSAGES = 10;

#endif // #ifndef __ALP_IPC_SAMPLE_H_

