/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
/*!
 * @file <traces_conf.h>
 *
 * @brief Header file for accessing config file for traces
 *
 ******************************************************************************/

#ifndef _TRACES_CONF_H
#define _TRACES_CONF_H

/*	------------------------------------------------------------------- */
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/*	------------------------------------------------------------------- */


void 	alp_prv_traces_conf_Close(void);
void 	alp_prv_traces_conf_SetOutput(const char* aOutput);
char*	alp_prv_traces_conf_GetOutput(void);
int 		alp_prv_Fill_Filter(int *a_AllowedClasses, int iItems);

///void 	alp_prv_traces_conf_GetOutput(const char* aTracerKind,  int nBufferLen, const char* config);


/*	------------------------------------------------------------------- */
#ifdef __cplusplus
}
#endif /* __cplusplus */

/*	------------------------------------------------------------------- */
#endif 
