/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
/*!
 * @file <traces_init.h>
 *
 * @brief	Internal header file for traces. 
 *
 ******************************************************************************/

#ifndef _TRACES_INIT_H
#define _TRACES_INIT_H

/*	------------------------------------------------------------------- */
// #include "PTLinuxInc.h"
#include "traces_main.h"

/*	------------------------------------------------------------------- */
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/*	------------------------------------------------------------------- */
extern char	sAppName[MAX_PATH];

#define TRACE_VERSION	0x0170

/*	------------------------------------------------------------------- */
void	InitTraces(const char*);
void	CloseTraces(void);

/*	------------------------------------------------------------------- */
#ifdef __cplusplus
}
#endif /* __cplusplus */

/*	------------------------------------------------------------------- */
#endif /* _TRACES_INIT_H */
