/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
/**
 * @file alarmmgr_server_prv.h
 *
 * @brief Alarm Manager server private definitions
 *
 *****************************************************************************/
#ifndef __ALARMMGR_SERVER_PRV_H__
#define __ALARMMGR_SERVER_PRV_H__

#include <time.h>
#include <hiker/ipc.h>


extern int alp_alarm_database_init(void);
extern int alp_alarm_database_set(AlpAlmEntryType * entry);
extern int alp_alarm_database_cancel(AlpAlmEntryType * entry);
extern int alp_alarm_database_get(AlpAlmEntryType *entry);
extern int alp_prv_alarm_database_get_triggered_alarms(void);
extern int alp_prv_alarm_database_remove_triggered_alarms(void);
extern int alp_prv_alarm_get_first_alarm(AlpAlmEntryType *entry);

#endif /* __ALARMMGR_SERVER_PRV_H__ */
