/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/

/*!
 *  @file util.h
 *
 *  @brief  header file for private utility library
 *
 *****************************************************************************/
#ifndef ALP_UTIL_H
#define ALP_UTIL_H

#include <stdio.h>
#include <time.h>
#include <sys/time.h>
#include <stdlib.h>
#include <string.h>

#ifdef __cplusplus
 extern "C"
  {
#endif

#define BOOTLOG "/tmp/BOOTLOG"
#define LAUNCHLOG "/tmp/LAUNCHTIME"

void timestamp(char *mesg, char *source, char *filename);
void donelog();

#ifdef __cplusplus
}       // extern "C"
#endif
#endif 

