
#define CRAMFS_MAGIC		0x28cd3d45
#define CRAMFS_SIGNATURE	"Compressed ROMFS"

struct cramfs_inode {
  unsigned int mode:16, uid:16;
  unsigned int size:24, gid:8;
  unsigned int namelen:6, offset:26;
};

struct cramfs_info {
  unsigned int crc, edition, blocks, files;
};

struct cramfs_super {
  unsigned int magic, size, flags, future;
  unsigned char signature[16];
  struct cramfs_info fsid;
  unsigned char name[16];
  struct cramfs_inode root;
};
