#include <alp/bundlemgr.h>
#include <alp/prv/bundlemgr_prv.h>

extern int ghost_available(void);
extern alp_status_t ghost_start(void);
extern alp_status_t ghost_stop(int now);

extern int gGHost;
extern void * gGhostSession;
#define GSESSION gGhostSession

#define ALP_GRAS_QUIT_DELAY_SEC		2

static inline unsigned int char4_to_int(char * str) {
	unsigned int value  = 0;
	
	value =   ((unsigned int)((unsigned char)str[0])) << 24 |
			((unsigned int)((unsigned char)str[1])) << 16 |
			((unsigned int)((unsigned char)str[2])) <<  8 |
			((unsigned int)((unsigned char)str[3])) <<  0 ;
			
	return value;		
}

static inline const char * int_to_char4(int value, char * buffer) {
  if (!buffer) {
    static char our_buffer[5];
    buffer = our_buffer;
  }

  buffer[0] = (unsigned char)(((unsigned int)value) >> 24);
  buffer[1] = (unsigned char)(((unsigned int)value) >> 16);
  buffer[2] = (unsigned char)(((unsigned int)value) >>  8);
  buffer[3] = (unsigned char)(((unsigned int)value) >>  0);
  buffer[4] = '\0';
			
  return buffer;
}


