/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
#include <hiker/notifymgr.h>
#include <hiker/prv/notifymgr_prv.h>
#include "notify_mgr_server_prv.h"

#include <hiker/pdk/sysutils_pdk.h>

int main(int argc, char * argv[])
{
	GMainLoop * mainLoop;

	// spawn a child process
	alp_daemon_start(0,1);

	// restore from database
	alp_notify_database_init();
	alp_notify_database_restore();

	// initialize ipc
	alp_notify_ipc_init();

	// allow the boot sequence to continue
	alp_daemon_release(0);

	// run main loop
	mainLoop = g_main_loop_new(NULL, FALSE);
	g_main_loop_run(mainLoop);

	return 0;
}
