/********************************************************************

Copyright 2006, ACCESS Systems Americas, Inc. All rights reserved.

The contents of this file are subject to the Mozilla Public License Version
1.1 (the "License"); you may not use this file except in compliance with
the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
for the specific language governing rights and limitations under the
License.

The Original Code is the entire contents of this file.

The Initial Developer of the Original Code is ACCESS Systems Americas, Inc.

Portions created by ACCESS Systems Americas, Inc. are Copyright  2006. All
Rights Reserved.

Contributor(s): none.

********************************************************************/
/* SecurityUi.h
**
**
** User Interface Functions for the SPF Security Service
**
** $Id:$
*/

/* Macro Definitions */
#ifndef _H_ALP_PRV_SECURITYUI_
#define _H_ALP_PRV_SECURITYUI_

#define ATTN_PROP_TWO   2 
#define ATTN_PROP_THREE 3
#define ATTN_PROP_FOUR  4

void alp_prv_spf_attn_properties_set (App *app, unsigned int attn_prop);

gboolean alp_prv_spf_ask_the_user (SecurityObject *object,
                                   App *app,		 
                                   AlpPrvSpfSoSecurityAssertion *assertion,
                                   AlpPrvSpfSoSecurityPolicy *policy,
                                   unsigned int id);


#endif /* _H_ALP_PRV_SECURITYUI_ */
