
export ALP_RUN_TOP=""
export PATH=/opt/alp/bin:$PATH

mkdir -p /tmp/bundlemgr/work/libs
if ! echo $LD_LIBRARY_PATH | grep -q '\/tmp\/bundlemgr\/work\/libs' ; then
        export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/tmp/bundlemgr/work/libs
fi

mkdir -p /var/opt/alp/data/bundles
mkdir -p /var/opt/alp/data/syscache
chmod 1777 /var/opt/alp/data/syscache

killall -HUP dbus-daemon

alpsecurityd
notifymgr
gset_server /tmp/t.db
bundlemgrd
# Add the 'platform' store, harmless if store is already present (but redirect to hide error)
/opt/alp/bin/alp_bundle -add-store platform bar_folder /opt/alp/bundles bar_prefer_archive 0 is_rom 1 install_priority 0 >> /dev/null

# Create internal store folder, if it doesn't already exist
mkdir -p /var/opt/alp/bundles

# Add the 'internal' store, harmless if store is already present (but redirect to hide error)
/opt/alp/bin/alp_bundle -add-store internal bar_folder /var/opt/alp/bundles bar_prefer_archive 0 install_priority 10 wipe_by_default 1 ghost_storage 0 jam_store 1 >> /dev/null

# Register any bundle in these stores. This won't reregister bundles
# already seen on a prior scan
/opt/alp/bin/alp_bundle -scan platform
/opt/alp/bin/alp_bundle -scan internal

appserverd
alp_NativeProcessLaunchpad_D
alarmmgrd
alpexgmgrd
attnmgrd
volumesvcsd
notify_boot


